import { useContext } from "react";
import { DialogStateContext } from "./DialogStateProvider";

export function useMentions() {
    const context = useContext(DialogStateContext);
    if (!context) {
        throw new Error("useMentions must be used within a DialogStateProvider");
    }
    return {
        pushMention: context.pushMention,
        popMention: context.popMention,
        isMentioned: context.isMentioned,
        mentions: context.mentions,
        getLastMention: context.getLastMention
    };
}